<?php

if (!function_exists('app_name')) {
    /**
     * Helper to grab the application name.
     *
     * @return mixed
     */
    function app_name()
    {
        return config('app.name');
    }
}

if (!function_exists('gravatar')) {
    /**
     * Access the gravatar helper.
     */
    function gravatar()
    {
        return app('gravatar');
    }
}

if (!function_exists('home_route')) {
    /**
     * Return the route to the "home" page depending on authentication/authorization status.
     *
     * @return string
     */
    function home_route()
    {
        if (auth()->check()) {
// if the user is marked as not having logged in before, then gather some demographics
//            if (auth()->user()->first_login == 'true') {
//
//                return 'frontend.user.firstlogin';
//            }

            if (auth()->user()->can('view backend')) {
                return 'admin.dashboard';
            }

            //return 'frontend.user.dashboard';
        }

        return 'frontend.index';
    }
}
