<?php

namespace App\Http\Controllers\Frontend\Graphics;

use App\Http\Controllers\Controller;
use App\Models\Graphics\Clipart_colourway;
use Illuminate\Database\Eloquent\ModelNotFoundException;
use Illuminate\Http\Request;

class ClipartColourwayController extends Controller
{
    /**
     * @param $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        // look for the colourway
        try {
            $media = Clipart_colourway::findOrFail($id);
            $data = $media->data;
// if we can't find it,
        } catch (ModelNotFoundException $e) {
            $data = Storage::get('/public/questionmark.svg');
        }
        // $data = Storage::get('/public/questionmark.svg');

        $content_typestr = 'image/svg+xml';
        $response = new \Illuminate\Http\Response($data, '200');
        $response->header("Content-Type", $content_typestr);
        return $response;
    }
}
