<?php

namespace App\Http\Controllers\Frontend\User;

use App\Http\Controllers\Controller;
use App\Models\Auth\User;
use App\Models\Lab;
use Illuminate\Http\Request;

class UserLabController extends Controller
{

    // leave a lab
    public function leaveLab(Request $request)
    {
        $lab = Lab::find($request['lab_id']);
        $user = auth()->user();
        $lab->members()->detach(auth()->user());
        if(!$user->is_in_lab){
            auth()->user()->removeRole('lab member');
        }
        return redirect()->route('frontend.user.account')->withFlashSuccess('You have been removed from the lab ' . $lab->name);
    }

    // kick someone out of a lab
    public function bootFromLab(Request $request)
    {
    //    dd($request);
        $lab = Lab::find($request['lab_id']);

        $user = User::find($request['user_id']);
        //dd($user);
        $lab->members()->detach($user->id);
        if(!$user->is_in_lab){
            $user->removeRole('lab member');
        }
        return redirect()->route('frontend.user.account')->withFlashSuccess($user->name.' has been removed from the lab ' . $lab->name);
    }
}
