<?php

namespace App\Mail;


use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Models\Auth\Invite;

class InviteCreated extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(Invite $invite)
    {
        $this->invite = $invite;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
       // dd(route('frontend.auth.accept', $this->invite->token));
        return $this
            ->subject('Graphics et al Lab Invitation')
            ->markdown('vendor.notifications.email',[
                "level" => "default",
                "greeting" => "Hi there!",
                "introLines" => [
                    auth()->user()->name." has invited you to join a Graphics et al lab group"
                ],
                "actionText" => "Accept invitation",
                'displayableActionUrl'=> route('frontend.auth.accept', $this->invite->token) ,
                "actionUrl" => route('frontend.auth.accept', $this->invite->token),
                "outroLines" => [
//                    "A line after the big button"
                ]
            ]);
//        return $this->from('someone@graphicsetal.com')
//            ->view('frontend.mail.invite')
//            ->with('invite', $this->invite);
    }
}
