<?php

namespace App\Models\Boards;

use Illuminate\Database\Eloquent\Model;

class UserUploadedImage extends Model
{
    /**
     * Don't auto-apply mass assignment protection.
     *
     * @var array
     */
    protected $guarded = [];

    // explicitly define tables
    protected $table = 'user_uploaded_images';

    protected $fillable = [
        'user_id', 'name', 'type','size', 'location', 'path'
    ];

    public function user()
    {
        return $this->hasOne('App\Models\Auth\User', 'id', 'user_id');
    }

    public function path()
    {
        return \url('/user_uploaded_image') . '/' . $this->id;
    }

}
