<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ForumChannel extends Model
{

    use SoftDeletes;
    /**
     * Don't auto-apply mass assignment protection.
     *
     * @var array
     */
    protected $guarded = [];

    // I like to explicitly define tables
    protected $table = 'forum_channels';

    // also fillable
    protected $fillable = [
        'name',
        'slug',
        'user_id',
        'public'
    ];

    // the channel(s)/topics this thread belongs to
    public function threads()
    {
        return $this->belongsToMany('App\Models\ForumThread', 'forum_channels_forum_threads', 'forum_channels_id', 'forum_threads_id' );
    }

    public function user()
    {
        return $this->hasOne('App\Models\Auth\User', 'id', 'user_id');
    }

}
