<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStripePlansTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasTable('stripe_plans')) {
            Schema::create('stripe_plans', function (Blueprint $table) {
                $table->bigIncrements('id');
                $table->string('name');
                $table->string('stripe_plan');
                $table->double('cost', 8, 2);
                $table->text('description')->nullable();
                $table->timestamps();
                $table->string('selector')->nullable();
                $table->string('period')->nullable();
                $table->string('role')->nullable();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stripe_plans');
    }
}
