<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateThreadsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasTable('threads')) {
            Schema::create('threads', function (Blueprint $table) {
                $table->increments('id');
                $table->string('subject');
                $table->timestamps();
                $table->softDeletes();
                $table->char('uuid', 36)->nullable();
                $table->string('notification', 45)->nullable();
                $table->bigInteger('invite_id')->nullable();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('threads');
    }
}
