<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddLabIdAndParentIdToBoardFolders extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('board_folders', function (Blueprint $table) {
            //
            if (!Schema::hasColumn('board_folders','lab_id')) {
                $table->bigInteger('lab_id')->nullable();
            }
            if (!Schema::hasColumn('board_folders','parent_id')) {
                $table->bigInteger('parent_id')->nullable();
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('board_folders', function (Blueprint $table) {
            //
            $table->dropColumn(['lab_id', 'parent_id']);
        });
    }
}
