<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateBoardForBaseTemplate0 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('boards', function (Blueprint $table) {
            if (!Schema::hasColumn('boards', 'bonus_template')) {
                $table->string('bonus_template', 45)->nullable();
            };
            if (!Schema::hasColumn('boards', 'from_template')) {
                $table->bigInteger('from_template')->nullable();
            };
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('boards', function (Blueprint $table) {
            if (Schema::hasColumn('boards', 'bonus_template')) {
                $table->dropColumn('bonus_template')->nullable();
            };
            if (!Schema::hasColumn('boards', 'from_template')) {
                $table->dropColumn('from_template')->nullable();
            };
        });
    }
}
