
var prevDirection;

const groupItemsRefresh = (group) => {
    group.forEachObject(function (item) {
        group.removeWithUpdate(item).addWithUpdate(item);
    });
    group.setCoords();
    canvas.renderAll();
}

const groupAlign = (direction) => {
    //console.log('aligning to:' + direction)
    let selection = canvas.getActiveObject()
    // console.log('selection is:');
    // console.log(selection);
    // selection.set({originX:'left'})

    //  let group = new fabric.Group(canvas.getActiveObjects());

    if (direction === prevDirection) {
        return;
    }

    // var groupWidth = group.getBoundingRect(true).width,
    //     groupHeight = group.getBoundingRect(true).height,
    //     scaleFactor = group.getScaleX();
    switch (direction) {
        case 'left':
            if(canvas.getActiveObjects().length>1){
                canvas.getActiveObjects().forEach(function (o) {
                    //o.set({originX: 'center', originY: 'center'})
                    o.set({left: (0 - selection.getBoundingRect(true).width / 2) + ((o.getBoundingRect().width * selection.scaleX) / 2)})
                });
            }else{
                selection.set({left:0,originX: 'left'});
            }
            break;
        case 'right':
            if(canvas.getActiveObjects().length>1){
                canvas.getActiveObjects().forEach(function (o, index) {
                    //o.set({originX: 'center', originY: 'center'})
                    o.set({left: ((selection.getBoundingRect(true).width / 2) - ((o.getBoundingRect().width * selection.scaleX) / 2))})
                });
            }else{
                selection.set({left: canvas.width - 30,  originX: 'right'});
            }
            break;
        case 'centre':
            if(canvas.getActiveObjects().length>1){
                canvas.getActiveObjects().forEach(function (o) {
                    //o.set({originX: 'center', originY: 'center'})
                    o.set({left: 0})
                });
            }else{
                selection.set({left: (canvas.width / 2), originX: 'center'});
            }
            break;
        case 'top':
            if(canvas.getActiveObjects().length>1){
                canvas.getActiveObjects().forEach(function (o) {
                    o.set({top: (0 - selection.getBoundingRect(true).height / 2) + ((o.getBoundingRect().height * selection.scaleX) / 2)})
                });
            }else{
                selection.set({top:0,originY: 'top'});
            }
            break;
        case 'middle':
            // canvas.getActiveObjects().forEach(function (o) {
            //     o.set({top: 0})
            //     // o.set({left: -selection.width / 2})
            // });
            if(canvas.getActiveObjects().length>1){
                canvas.getActiveObjects().forEach(function (o) {
                    o.set({top: 0})
                });
            }else{
                selection.set({top: (canvas.height / 2), originY: 'center'});
            }
            break;
        case 'bottom':
            if(canvas.getActiveObjects().length>1){
                canvas.getActiveObjects().forEach(function (o) {
                    o.set({top: ((selection.height / 2) - o.getBoundingRect().height)+ (o.getBoundingRect(true).height / 2)})
                });
            }else{
                selection.set({top: canvas.height - 30,originY:"bottom"});
            }
            break;

        case 'dist_h':
            console.log('here')

            // distribute spaces between items horizontally
            // Muck with the origin for convenience
            canvas.getActiveObjects().forEach((o)=>{
                o.set({originX: 'center', originY: 'center'})
            });
            // canvas.renderAll()
            // get the order

            let h_ordered = canvas.getActiveObjects().sort((a, b) => {
                return ((a.getBoundingRect(true).left-a.getBoundingRect(true).width) - (b.getBoundingRect(true).left-b.getBoundingRect(true).width))
            })
            // first point
            let point0 = 0 - selection.width / 2

            // put the first on the left
            h_ordered[0].set({left: point0+ (h_ordered[0].getBoundingRect(true).width / 2)})

            // get the remaining distance between elements

            let distbetween = (selection.width - h_ordered.reduce((a, b) => {
                return a + b.getBoundingRect(true).width;
            }, 0)) / (h_ordered.length - 1);
            console.log('distance between is:')
            console.log(distbetween);

            // // if there's a negative distance between, order by center
            if (distbetween < 0) {
                let pointn = (selection.width / 2) - h_ordered[h_ordered.length - 1].getBoundingRect(true).width;
                let distance = (pointn - point0) / (h_ordered.length - 1);
                h_ordered.forEach((o, i) => {
                    if ((i > 0)) {
                        o.set({left: point0 + (i * distance)})
                    }
                })
                // else order by distance between
            } else {
                h_ordered.forEach((o, i) => {
                    if (i > 0) {
                        o.set({left: (h_ordered[i - 1].left + (h_ordered[i - 1].getBoundingRect(true).width/2)+(h_ordered[i].getBoundingRect(true).width/2)+distbetween)})
                    }
                })
            }
            // reset the origin
            // canvas.getActiveObjects().forEach((o)=>{
            //     o.set({originX: 'center'})
            // });
            break;
        case 'dist_h_c':
            // distribute items horizontally
            // get the order
            let h_ordered_c = canvas.getActiveObjects().sort((a, b) => {
                return (a.getBoundingRect().left - b.getBoundingRect().left)
            })
            // first point
            let point0_c = 0 - selection.width / 2
            // last point
            let pointn_c = (selection.width / 2) - h_ordered_c[h_ordered_c.length - 1].getBoundingRect().width;
            // put the first on the left
            h_ordered_c[0].set({left: point0_c})
            // put the last on the right
            //  h_ordered_c[h_ordered_c.length - 1].set({left: pointn_c})
            // get the remaining distance between elements

            // let distbetween = (selection.width - h_ordered.reduce((a, b) => {
            //     return a + b.getBoundingRect().width;
            // },0))/(h_ordered.length - 1);
            // console.log('distance between is:')
            // console.log(distbetween)

            // remove the first and last
            // h_ordered.pop();
            // h_ordered.push();
            // distribute the rest
            // variant 1: distributed centers
            // get the horizontal distribution distance
            let distance = (pointn_c - point0_c) / (h_ordered_c.length - 1);
            h_ordered_c.forEach((o, i) => {
                if ((i > 0)) {
                    o.set({left: point0_c + (i * distance)})
                }
            })
            // variant 2: distributed spaces
            // if
            // if(distbetween<0){
            //
            // }
            // h_ordered.forEach((o, i) => {
            //     // if((i>0)&&(i<(h_ordered.length - 1))) {
            //     if(i>0) {
            //         console.log('h_ordered[i-1].left:')
            //         console.log(h_ordered[i-1].left)
            //
            //         o.set({left:(h_ordered[i-1].left+(h_ordered[i-1].getBoundingRect().width)  + distbetween)})
            //         // o.set({left:((distbetween>0)?((h_ordered[i-1].left+(h_ordered[i-1].getBoundingRect().width))+distbetween):(h_ordered[i-1].left+distbetween)+(h_ordered[i-1].getBoundingRect().width/2))})
            //     }
            // })
            break;
        case 'dist_v':
            // distribute items vertically
            // get the order
            let v_ordered = canvas.getActiveObjects().sort((a, b) => {
                return (a.getBoundingRect().top - b.getBoundingRect().top)
            })
            console.log(v_ordered)
            // get the total height
            let distbetween_v = (selection.height - v_ordered.reduce((a, b) => {
                return a + b.getBoundingRect().height;
            }, 0)) / (v_ordered.length - 1);
            console.log('distance between heights is:')
            console.log(distbetween_v)

            // first point
            let point0_v = 0 - selection.height / 2

            v_ordered[0].set({top: point0_v+ (v_ordered[0].getBoundingRect(true).height / 2)})
            // if there's a negative distance between, order by center
            if (distbetween_v < 0) {
                let pointn = (selection.height / 2) - v_ordered[v_ordered.length - 1].getBoundingRect().height;
                let distance_v = (pointn - point0_v) / (v_ordered.length - 1);
                v_ordered.forEach((o, i) => {
                    if ((i > 0)) {
                        o.set({top: point0_v + (i * distance_v)})
                    }
                })
                // else order by distance between
            } else {
                v_ordered.forEach((o, i) => {
                    if (i > 0) {
                        o.set({top: (v_ordered[i - 1].top + (v_ordered[i - 1].getBoundingRect(true).height/2)+(v_ordered[i].getBoundingRect(true).height/2)+distbetween_v)})
                    }
                })
            }
            break;
    }
    if(canvas.getActiveObjects().length>1){
        groupItemsRefresh(selection)
    }else{
        canvas.renderAll()
    }

    // canvas.renderAll()

}

const arrayMaxEl = (arr) => {
    let len = arr.length, max = -Infinity;
    while (len--) {
        if (Number(arr[len].getBoundingRect().width) > max) {
            max = Number(arr[len].getBoundingRect().width);
        }
    }
    return max;
};
