@extends('frontend.layouts.app')

@section('title', app_name() . ' | ' . __('labels.frontend.contact.box_title'))

@section('content')
    {{ html()->form('POST', route('frontend.contact.send'))->open() }}
    <div class="row justify-content-center align-items-center" >
        <div class="col col-sm-8 align-self-center">
            <div class="contact_container">
                <h5 class="contact_title">Contact Us</h5>
                <div class="row mt-2">
                    <div class="col-12 col-md-12">
                        <div class="form-group">
                            {{ html()->label(__('validation.attributes.frontend.name'))->for('name') }}
                            {{ html()->text('name')
                                ->class('form-control required')
                                ->placeholder(__('validation.attributes.frontend.name'))
                                ->attribute('maxlength', 191)
                                ->required()}}
                        </div><!--col-->
                    </div><!--row-->


                </div><!--row-->
                <div class="row ">
                    <div class="col-12 col-md-12">
                        <div class="form-group">
                            {{ html()->label(__('validation.attributes.frontend.email'))->for('email') }}
                            {{ html()->email('email')
                                ->class('form-control required')
                                ->placeholder(__('validation.attributes.frontend.email'))
                                ->attribute('maxlength', 191)
                                ->required() }}
                        </div>
                    </div>
                </div>

                <div class="row ">
                    <div class="col-12 col-md-12">
                        <div class="form-group">
                            {{ html()->label(__('validation.attributes.frontend.institution'))->for('institution') }}
                            {{ html()->text('institution')
                                ->class('form-control')
                                ->placeholder(__('validation.attributes.frontend.institution'))
                                ->attribute('maxlength', 191)
                               }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-12">
                        <div class="form-group">
                            {{ html()->label(__('validation.attributes.frontend.position'))->for('position') }}
                            {{ html()->text('position')
                                ->class('form-control')
                                ->placeholder(__('validation.attributes.frontend.position'))
                                ->attribute('maxlength', 191)
                               }}
                        </div>
                    </div>
                </div>
                <div class="row ">
                    <div class="col-12 col-md-12">
                        <div class="form-group">
                            {{ html()->label(__('validation.attributes.frontend.message'))->for('message') }}
                            {{ html()->textarea('message')
                                ->class('form-control')
                                ->placeholder(__('validation.attributes.frontend.message'))

                               }}
                        </div>
                    </div>
                </div>
                <div class="row ">
                    <div class="col-12 col-md-12">
                        <div class="form-group">
                            {{ form_submit(__('labels.frontend.contact.button'),'btn btn-block btn-success') }}

                        </div>
                    </div>
                </div>
                {{ html()->form()->close() }}

            </div>
        </div>
    </div>
@endsection

@push('after-scripts')
    @if(config('access.captcha.contact'))
        @captcha
    @endif
@endpush
