<!DOCTYPE html>
<link rel="icon" type="image/png" href="{{ asset('img/favicon.png') }}" />
@langrtl
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="rtl">
@else
    <html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    @endlangrtl
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>@yield('title', app_name())</title>
        <meta name="description" content="@yield('meta_description', 'Graphics et al framework')">
        <meta name="author" content="@yield('meta_author', 'Adam Landow')">
    @yield('meta')

    {{-- See https://laravel.com/docs/5.5/blade#stacks for usage --}}
    @stack('before-styles')

    <!-- Check if the language is set to RTL, so apply the RTL layouts -->
        <!-- Otherwise apply the normal LTR layouts -->
        {{--        <link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.18.0/css/mdb.min.css" rel="stylesheet">--}}
        <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/spectrum-colorpicker2/dist/spectrum.min.css">

        <link href="{{ asset('css/frontend.css') }}" rel="stylesheet">
        <link href="{{ asset('css/g_etal.css') }}" rel="stylesheet">
        <link href="{{ asset('css/board/board.css') }}" rel="stylesheet">
        <link href="{{ asset('css/jquery-ui.min.css') }}" rel="stylesheet">
        <link href="{{ asset('css/styles.css') }}" rel="stylesheet">
        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet"/>
        <link href=" https://cdn.jsdelivr.net/npm/pretty-checkbox@3.0/dist/pretty-checkbox.min.css" rel="stylesheet"/>
{{--        <link rel="stylesheet"--}}
{{--              href="https://cdnjs.cloudflare.com/ajax/libs/malihu-custom-scrollbar-plugin/3.1.5/jquery.mCustomScrollbar.min.css">--}}
        <link href="{{ asset('css/bootstrap-colorpicker.min.css') }}" rel="stylesheet">
        {{--        <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">--}}
        <link href="{{ asset('css/dropzone.min.css') }}" rel="stylesheet">
        {{--        <link href="https://cdn.jsdelivr.net/npm/clusterize.js@0.18.1/clusterize.min.css" rel="stylesheet">--}}
                <link href="{{ asset('css/ruler.min.css') }}" rel="stylesheet">

        {{--{{ style(subdirMix('public/css/frontend.css', 'public/')) }}--}}
        <style>

        </style>
        @stack('after-styles')
    </head>
    <body
        style="background-image: url('{{asset('img/frontend/backgrounds/BG04.jpg')}}');
            background-position:top; background-size: 100%; background-repeat: no-repeat; height: 100vh">


    <div id="app" style="position: absolute; top:0px;  right:0px;  bottom:0px;  left:0px;">


            {{--            @include('includes.partials.messages')--}}
            @yield('content')



    </div><!-- #app -->


    @yield('sidebar_left')
    {{--    @yield('sidebar_right')--}}
    {{--    @yield('footer')--}}
    @yield('dialogs')

    <!-- Scripts -->
    @stack('before-scripts')

    <script src="{{ asset('js/manifest.js') }}"></script>
    <script src="{{ asset('js/vendor.js') }}"></script>
    <script src="{{ asset('js/frontend.js') }}"></script>
    <script src="{{ asset('js/board/fabric.4.5.0.min.js') }}"></script>
    <script src="{{ asset('js/board/fabric-extensions.umd.js') }}"></script>
    {{--    Draggabilly: mobile-compatible drag and drop--}}
{{--    <script src="https://unpkg.com/draggabilly@2/dist/draggabilly.pkgd.min.js"></script>--}}

    {{--    <script src="{{ asset('public/js/board/board.js') }}"></script>--}}
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.bundle.min.js"></script>
    {{--    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>--}}
{{--    <script src="https://unpkg.com/@popperjs/core@2"></script>--}}
    <script src="{{ asset('js/popper.min.js') }}"></script>
    <script src="{{ asset('js/tippy-bundle.umd.min.js') }}"></script>

{{--    <script src="https://unpkg.com/tippy.js@6"></script>--}}
    {{--    <script src="https://cdn.jsdelivr.net/npm/clusterize.js@0.18.1/clusterize.min.js"></script>--}}
    <script src="{{ asset('js/imagesloaded.pkgd.min.js') }}"></script>

    {{--    jquery draggable. Draggabilly sucks--}}
    <script src="{{ asset('js/jquery-ui.min.js') }}"></script>
    {{--    file upload --}}
    <script src="{{ asset('js/dropzone.min.js') }}"></script>
    {{--    <script src="{{ asset('public/js/board/fabric.min.js') }}"></script>--}}
    <script src="{{ asset('js/board/aligning_guidelines.min.js') }}"></script>
{{--    <script src="{{ asset('js/board/fabricjs_history.min.js') }}"></script>--}}
    <script src="{{ asset('js/board/fabricjs_history.js') }}"></script>
{{--    <script src="{{ asset('js/board/canvas2svg.js') }}"></script>--}}
    <script src="{{ asset('js/board/canvas2svg.min.js') }}"></script>
{{--    <script src="{{ asset('js/board/bootstrap-colorpicker.min.js') }}"></script>--}}
{{--    <script src="{{ asset('js/board/bootstrap-input-spinner.js') }}"></script>--}}
{{--    <script src="{{ asset('js/board/ruler.js') }}"></script>--}}
    <script src="{{ asset('js/board/ruler.min.js') }}"></script>
    <script src="{{ asset('js/board/watermark.min.js') }}"></script>

    {{--    Load components--}}

    {{--    <script src="{{ asset('public/js/board/board.js') }}"></script>--}}

    <script src="{{ asset('js/board/core.js') }}"></script>

    <script src="{{ asset('js/board/floating_controller.js') }}"></script>
    <script src="{{ asset('js/board/cliparts.js') }}"></script>
    {{--    <script src="{{ asset('public/js/board.js') }}"></script>--}}
    <script src="{{ asset('js/board/shapes.js') }}"></script>
    <script src="{{ asset('js/board/cycle.js') }}"></script>
    <script src="{{ asset('js/board/charts.js') }}"></script>
    <script src="{{ asset('js/board/texts.js') }}"></script>
    <script src="{{ asset('js/board/user_images.js') }}"></script>
    <script src="{{ asset('js/board/backgrounds.js') }}"></script>
    <script src="{{ asset('js/board/alignments.js') }}"></script>

    <script src="https://cdn.jsdelivr.net/npm/spectrum-colorpicker2/dist/spectrum.min.js"></script>

{{--    <script src="{{ asset('js/board/arrows.js') }}"></script>--}}
{{--    <script src="{{ asset('js/tree_folder/drag-drop-folder-tree.js')}}"></script>--}}
{{--    <script src="{{ asset('js/tree_folder/context-menu.js')}}"></script>--}}

    <script type="text/javascript">


        const baseurl = '{{URL::to('/')}}';
        const canvas_id = '{{$board->id}}';
        const crsf = '{{ csrf_token() }}';
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
    </script>
    <script async defer
  src="https://connect.facebook.net/en_US/sdk.js"></script>
    <!--Start of Tawk.to Script-->
<script type="text/javascript">

var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
@isset(auth()->user()->id)
    Tawk_API.visitor = {
    name  : '{{auth()->user()->first_name}} {{auth()->user()->last_name}}',
    email : '{{auth()->user()->email}}'
};
@endisset
(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/6026303f9c4f165d47c28ef0/1euaip0vh';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
});
</script>
<!--End of Tawk.to Script-->
    @stack('after-scripts')

    {{--        @include('includes.partials.ga')--}}
    </body>

    </html>
