{{ html()->modelForm($logged_in_user, 'POST', route('frontend.user.profile.update'))->attribute('enctype', 'multipart/form-data')->open() }}
@method('PATCH')
<div class="row">
    <div class="col-12 col-md-4">
        <div class="form-group">
            {{ html()->label('Prefix')->for('prefix_lookup_id') }}
            {{ html()->select('prefix_lookup_id')
                ->class('form-control')
                ->options($prefix_lookup->pluck('text', 'id'))
                ->placeholder('Prefix')
                ->required()}}
        </div><!--col-->
    </div><!--row-->
    <div class="col-12 col-md-4">
        <div class="form-group">
            {{ html()->label(__('validation.attributes.frontend.first_name'))->for('first_name') }}
            {{ html()->text('first_name')
                ->class('form-control')
                ->placeholder(__('validation.attributes.frontend.first_name'))
                ->attribute('maxlength', 191)
                ->required()}}
        </div><!--col-->
    </div><!--row-->

    <div class="col-12 col-md-4">
        <div class="form-group">
            {{ html()->label(__('validation.attributes.frontend.last_name'))->for('last_name') }}
            {{ html()->text('last_name')
                ->class('form-control')
                ->placeholder(__('validation.attributes.frontend.last_name'))
                ->attribute('maxlength', 191)
                ->required() }}
        </div><!--form-group-->
    </div><!--col-->
</div><!--row-->

<div class="row">
    <div class="col">
        <div class="form-group">
            {{ html()->label('Phone')->for('phone') }}
            {{ html()->text('phone')
                ->class('form-control')
                ->placeholder('Phone number')
                ->attribute('maxlength', 11)
                ->attribute('type', 'tel')}}
        </div><!--form-group-->
    </div><!--col-->
</div><!--row-->
<div class="row">
    <div class="col">
        <div class="form-group">
            {{ html()->label('Profile picture')->for('avatar') }}
            <div class="hidden" style="display: none">
                <input type="radio" name="avatar_type" value="gravatar" /> Gravatar
                <input type="radio" name="avatar_type" value="storage" checked /> Upload

                @foreach($logged_in_user->providers as $provider)
                    @if(strlen($provider->avatar))
                        <input type="radio" name="avatar_type" value="{{ $provider->provider }}" {{ $logged_in_user->avatar_type == $provider->provider ? 'checked' : '' }} /> {{ ucfirst($provider->provider) }}
                    @endif
                @endforeach
            </div>
            <div class="form-group hidden" id="avatar_location">
                {{ html()->file('avatar_location')->class('form-control') }}
            </div>
        </div><!--form-group-->

        <!--form-group-->
    </div><!--col-->
</div><!--row-->
<div class="row">
    <div class="col-12 col-md-6">
        <div class="form-group">
            {{ html()->label('Institution')->for('institution_lookup_id') }}

            {{ html()->select('institution_lookup_id')
               ->class('form-control')
               ->options($institution_lookup->pluck('text', 'id'))

               }}
        </div><!--form-group-->
    </div><!--col-->
    <div class="col-12 col-md-6">
        <div class="form-group">
            {{ html()->label('Position')->for('position_lookup_id') }}

            {{ html()->select('position_lookup_id')
              ->class('form-control')
              ->options($position_lookup->pluck('text', 'id'))

              }}
        </div><!--col-->
    </div><!--row-->

</div><!--row-->

<div class="row">
    <div class="col">
        <div class="form-group">
            {{ html()->label('Research focus')->for('research_focus_lookup_id[]') }}
            {{ html()->select('research_focus_lookup_id[]')
              ->class('form-control')
              ->attribute('multiple', 'multiple')
              ->options($research_lookup->pluck('text', 'id'))
              }}
        </div><!--form-group-->
    </div><!--col-->
</div><!--row-->

<div class="row">
    <div class="col">
        <div class="form-group">
            {{ html()->label('Profile visibility')->for('public') }}<br/>
            <div class="btn-group btn-group-toggle" data-toggle="buttons">
                <label class="btn btn-outline-success" {{$logged_in_user->public==1?'active':''}}>
                    <input type="radio" name="public" id="option1" autocomplete="off"
                           value="1" {{$logged_in_user->public==1?'checked':''}}> Public
                </label>
                <label class="btn btn-outline-danger" {{$logged_in_user->public==1?:'active'}}>
                    <input type="radio" name="public" id="option2" autocomplete="off"
                           value="" {{$logged_in_user->public==1?:'checked'}}> Private
                </label>
            </div>

        </div><!--form-group-->
    </div><!--col-->
</div>
<div class="row">
    <div class="col">
        <div class="form-group">
            {!!form_submit('Update') !!}
        </div>
    </div>
</div><!--row-->
{{ html()->closeModelForm() }}
