<?php

//use App\Http\Controllers\Frontend\ContactController;
//use App\Http\Controllers\Frontend\HomeController;
//use App\Http\Controllers\Frontend\User\AccountController;
//use App\Http\Controllers\Frontend\User\DashboardController;
//use App\Http\Controllers\Frontend\User\ProfileController;
use App\Http\Controllers\Frontend\Forum\ForumChannelController;

/*
 * Forum controllers
 * All route names are prefixed with 'frontend.'.
 */

/*
 * These frontend controllers require the user to be logged in
 * All route names are prefixed with 'frontend.'
 * These routes can not be hit if the password is expired
 */
Route::group(['middleware' => ['auth', 'password_expires']], function () {
    // the channel (topics) controller resource. Not overthinking it... yet
    Route::resource('forum/channels', 'Forum\ForumChannelController');

    // forum threads controller
    Route::resource('forum/threads', 'Forum\ForumThreadController');
    // get a single thread details
    Route::get('forum/threads/{id}/get', 'Forum\ForumThreadController@get');
    // replies to forums
    Route::resource('forum/forumreply', 'Forum\ForumReplyController');

    // forum media
    Route::post('forum/storemedia', 'Forum\ForumMediaController@store')->name('forum.storemedia');
    Route::get('forum/media/{id}/display', 'Forum\ForumMediaController@display')->name('forum.displaymedia');
});
