<?php

use App\Http\Controllers\Frontend\Messages\MessagesController;
use App\Http\Controllers\Frontend\Messages\MessagesMediaController;


/*
 * Message controllers
 * All route names are prefixed with 'frontend.'.
 */

/*
 * These frontend controllers require the user to be logged in
 * All route names are prefixed with 'messages.'
 * These routes can not be hit if the password is expired
 */
Route::group(['middleware' => ['auth', 'password_expires']],
    function () {
        // message Management
        Route::group(['namespace' => 'Messages'], function () {
            Route::get('messages/', 'MessagesController@notifications')->name('messages');
            Route::get('messages/create/{toid?}', 'MessagesController@create')->name('messages.create');
            Route::post('messages/store', 'MessagesController@store')->name('messages.store');
            Route::post('messages/', 'MessagesController@store')->name('messages.store');
            Route::post('messages/delete', 'MessagesController@deletethreadforuser')->name('messages.delete');
            Route::get('messages/{id}', 'MessagesController@show')->name('messages.show');
            Route::put('messages/{id}', 'MessagesController@update')->name('messages.update');
            // forum media
            Route::post('messages/storemedia', 'MessagesMediaController@store')->name('messages.storemedia');
            Route::get('messages/media/{id}/display', 'MessagesMediaController@display')->name('messages.displaymedia');
        });

    });
